# Copyright (c) 2024 Qualcomm Innovation Center, Inc. All rights reserved.
# SPDX-License-Identifier: BSD-3-Clause-Clear

domain_name: Generic

did_all:
  0xF0D0:
    identification:
      code: 0xF0D0
      did_mnemonic: Mileage
    implementation:
      did_size: 3
      endianness: MSB
    supported_functions:
      write_did: False
      read_did: False
      snapshot: True
      io_control: False
      routine_did: False
  0xF0D2:
    identification:
      code: 0xF0D2
      did_mnemonic: DateFirstAndLastOccurrence
    implementation:
      did_size: 6
      endianness: MSB
    supported_functions:
      write_did: False
      read_did: False
      snapshot: True
      io_control: False
      routine_did: False
  0xEF01:
    identification:
      code: 0xEF01
      did_mnemonic: SupplierFaultCode
    implementation:
      did_size: 10
      endianness: MSB
    supported_functions:
      category: DTC snapshot
      write_did: False
      read_did: False
      snapshot: True
      io_control: False
      routine_did: False
  0xF011:
    identification:
      code: 0xF011
      did_mnemonic: IndexSrvData
    implementation:
      did_size: 10
      endianness: MSB
    supported_functions:
      write_did: False
      read_did: True
      snapshot: False
      io_control: False
      routine_did: False
    did_accessibility:
      diagnostic_session:
        default_session: [ R ]
        extended_diagnostic_session: [ R ]
      diagnostic_session_and_security_level:
        execution_authorization_pattern_read: base
  0xF190:
    identification:
      code: 0xF190
      did_mnemonic: VIN
    implementation:
      did_size: 17
      endianness: MSB
      bytes:
        0:
          7:
            data_ref_mnemonic: VIN
    supported_functions:
      write_did: True
      read_did: True
      snapshot: False
      io_control: False
      routine_did: False
    did_accessibility:
      diagnostic_session:
        default_session: [ R ]
        extended_diagnostic_session: [ R, W ]
      diagnostic_session_and_security_level:
        execution_authorization_pattern_read: base
        execution_authorization_pattern_write: test_did_write
